Debian Bug report logs - #413146
O: tramp -- remote file access in Emacs

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Romain Francoise <rfrancoise@debian.org>

Date: Fri, 2 Mar 2007 19:39:02 UTC

Severity: normal

Fixed in version 1:2.1.8-2+rm

Done: "Sandro Tosi" <morph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#413146; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Romain Francoise <rfrancoise@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Romain Francoise <rfrancoise@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: tramp -- remote file access in Emacs
Date: Fri, 02 Mar 2007 20:37:51 +0100
Package: wnpp
Severity: normal

As I no longer use Debian's versions of Emacs, I intend to orphan
the tramp package.  Tramp has been merged in Emacs 22, so once it
becomes the default Emacs version in Debian, this package will be of
limited use.

The package is simple but requires good working knowledge of Emacs
Lisp.  Upstream is very competent and very responsive.

The package description is:
 TRAMP stands for `Transparent Remote (file) Access, Multiple Protocol'.
 It provides remote file editing in Emacs, similar to ange-ftp and EFS.
 .
 Unlike ange-ftp, Tramp is not restricted to FTP to transfer files
 between the local and the remote host: it supports ssh, scp, rsh,
 telnet, rsync, and smb methods.  It also supports other connection
 methods such as su and sudo, and combinations of multiple methods.
 Most file operations in Emacs (such as Dired, VC, etc) also work over
 Tramp.

-- 
  ,''`.
 : :' :        Romain Francoise <rfrancoise@debian.org>
 `. `'         http://people.debian.org/~rfrancoise/
   `-



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#413146; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 413146@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: Romain Francoise <rfrancoise@debian.org>
Cc: 413146@bugs.debian.org
Subject: Re: O: tramp -- remote file access in Emacs
Date: Fri, 10 Aug 2007 11:15:30 +0200
Romain Francoise <rfrancoise@debian.org> writes:

> As I no longer use Debian's versions of Emacs, I intend to orphan
> the tramp package.  Tramp has been merged in Emacs 22, so once it
> becomes the default Emacs version in Debian, this package will be of
> limited use.

Do you think it's worth fixing #436761 (tramp fails with wholenump
error on xemacs21), or should tramp be removed (given that no one's
filed an ITA and emacs22 is the default)?

Thanks,

Matej



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#413146; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Romain Francoise <rfrancoise@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 413146@bugs.debian.org (full text, mbox):

From: Romain Francoise <rfrancoise@debian.org>
To: Matej Vela <vela@debian.org>
Cc: 413146@bugs.debian.org
Subject: Re: O: tramp -- remote file access in Emacs
Date: Fri, 10 Aug 2007 11:42:30 +0200
Matej Vela <vela@debian.org> writes:

> Do you think it's worth fixing #436761 (tramp fails with wholenump
> error on xemacs21), or should tramp be removed (given that no
> one's filed an ITA and emacs22 is the default)?

Given that the change is trivial[1], it's probably better to fix the
bug.

-- 
  ,''`.
 : :' :        Romain Francoise <rfrancoise@debian.org>
 `. `'         http://people.debian.org/~rfrancoise/
   `-

Footnotes:
[1]  http://cvs.savannah.gnu.org/viewvc/tramp/lisp/tramp.el?root=tramp&r1=2.359.2.91&r2=2.359.2.92&pathrev=V-2-0-56



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#413146; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 413146@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Romain Francoise <rfrancoise@debian.org>
Cc: Matej Vela <vela@debian.org>, 413146@bugs.debian.org
Subject: Re: O: tramp -- remote file access in Emacs
Date: Fri, 12 Oct 2007 23:13:36 +0200
On Fri, Aug 10, 2007 at 11:42:30AM +0200, Romain Francoise wrote:
> Matej Vela <vela@debian.org> writes:
> 
> > Do you think it's worth fixing #436761 (tramp fails with wholenump
> > error on xemacs21), or should tramp be removed (given that no
> > one's filed an ITA and emacs22 is the default)?
> 
> Given that the change is trivial[1], it's probably better to fix the
> bug.

Why don't we remove tramp entirely, given that it's included in emacs22?

Cheers,
        Moritz




Information stored :
Bug#413146; Package wnpp. (Sun, 09 Nov 2008 00:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and filed, but not forwarded. (Sun, 09 Nov 2008 00:21:03 GMT) Full text and rfc822 format available.

Message #25 received at 413146-quiet@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: control@bugs.debian.org, 413146-quiet@bugs.debian.org
Subject: Retitle Bug#413146 RM: tramp -- already included in Emacs
Date: Sun, 09 Nov 2008 02:17:14 +0200
package: ftp.debian.org
retitle 413146 RM: tramp -- remote file access in Emacs
thanks

Tramp is included in Emacs. This orphaned package can be removed.




Reply sent to "Sandro Tosi" <morph@debian.org>:
You have taken responsibility. (Wed, 19 Nov 2008 22:57:08 GMT) Full text and rfc822 format available.

Notification sent to Romain Francoise <rfrancoise@debian.org>:
Bug acknowledged by developer. (Wed, 19 Nov 2008 22:57:08 GMT) Full text and rfc822 format available.

Message #30 received at 413146-done@bugs.debian.org (full text, mbox):

From: "Sandro Tosi" <morph@debian.org>
To: 473905-done@bugs.debian.org, 413082-done@bugs.debian.org, 413146-done@bugs.debian.org
Subject: tramp removed
Date: Wed, 19 Nov 2008 23:56:02 +0100
Version: 1:2.1.8-2+rm

tramp has been just removed from Debian (cfr #505098) so these bugs
can be closed.

-- 
Sandro Tosi (aka morph, Morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 19 Dec 2008 07:29:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:58:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.